Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Jan 2009 13:00:13 -0500

>> I think either behavior is acceptable as long as it can be overridden by
>> the user (via special-display-buffer-names).  Reproducing the previous
>> behavior (of ignoring pop-up-frames) is probably the safer option, and
>> it at least would suit my use-pattern better as well (I do have
>> pop-up-frames set to t but would rather not have a new frame created for
>> those dired-lists unless I explicitly set one up in
>> special-display-buffer-names with a specific geometry).

> Maybe we should have `special-display-popup-frame' handle yet another
> phony parameter, say 'split-window, making it split the selected window
> if that is set.

Not sure if `split-window' is really what we want.  I thought in this
case, we want `near-minibuffer'.  But, yes, I basically agree.

Note that the parameter should be passed from the code, not from
special-display-buffer-names (which is a config variable).

        Stefan